Tenant.public.workflows.sync Inventory
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
modestring · enumOptionalPossible values:
dry_runbooleanOptional
Responses
200Success
application/json
stringOptional
202Success
application/json
401
Unauthenticated
application/json
403Error
application/problem+json
409Error
application/problem+json
422
Validation error
application/json
500Error
application/problem+json
post/workflows/sync-inventory
POST /your-tenant/api/v1/workflows/sync-inventory HTTP/1.1
Host: plan.claret.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 286
{
"mode": "upsert",
"dry_run": true,
"scope": {
"location": "text",
"item": "text"
},
"options": {
"allow_record_creation": true,
"allow_record_update": true,
"continue_on_error": true
},
"data": [
{
"item_name": "text",
"bin_name": "text",
"lot_name": "text",
"date_filled": "2026-01-01",
"quantity": 1,
"uom": "text"
}
]
}textLast updated
Was this helpful?